apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: fibonacci-service
  namespace: fibonacci-app
spec:
  ingressClassName: nginx
  rules:
  - host: factory.c-one-infra.de
    http:
      paths:
      - backend:
          service:
            name: fibonacci-service
            port:
              number: 9090
        path: /fibonacci
        pathType: Prefix
